Page MenuHome

Object's wires disappear when using split orthographic view.
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362-SP0 64 Bits
Graphics card: GeForce GTX 1070/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 442.19

Blender Version
Broken: version: 2.90.0 Alpha, branch: master, commit date: 2020-06-08 15:55, hash: rB9f7d84b656fb
Worked:

Short description of error
If 3d-viewport is split in two or more, and one of the viewports is in orthographic mode with constraint (Other than Top or Bottom), selecting object with no faces (Circle for examble) causes the object's wires to disappear.

Exact steps for others to reproduce the error

  1. Open blender with factory settings.
  2. Split 3d-viewport in two or more.
  3. Add circle object and delete all other objects.
  4. Switch one viewport to orthographic either left, right, front or back.
  5. Select the circle object.
  6. Object's wires should now disappear.

Event Timeline

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Confirmed.Jun 10 2020, 7:44 PM
Germano Cavalcante (mano-wii) changed the subtype of this task from "Report" to "Bug".

I can confirm.
It is probably related to the problems described in T77342 or T77496.

Jeroen Bakker (jbakker) closed this task as Resolved.Jun 16 2020, 8:13 AM
Jeroen Bakker (jbakker) claimed this task.

This issue is fixed in by one of the mentioned issues.